Description

How to deal with custom data types, protobuf types, rst etc.

Fragments from the wiki:

Note: more basic explanations of RSB's converters can be found [[Writing_Converters|here]] and [[ProtocolBufferConverter|here]].
However, the approaches described there, although seemingly less complex, have some problems, and should not be applied in
production code.

Introduction
Using automatically generated protocol buffer messages for serialization and network communication has several advantages:

    -  IDL-defined message format (as opposed to an informal "definition" through a particular implementation)
    -  Proper handling of machine Endianess
    -  Proper handling of machine word sizes
    -  Some degree of data validation
    -  Introspection support
    -  Generated data-holder classes and (de)serializers
        -  Available in multiple programming languages without additional effort
        -  Inter-language consistency of data-holder classes and serialized representations

It may even seem sensible to use the generated protocol buffer message classes as domain classes as well. However, Google's
protocol buffer tutorial advises against this (see "Protocol Buffers and O-O Design" in the protocol buffer tutorial).

History
#1 - 12/10/2013 11:47 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#2 - 03/25/2014 05:32 PM - J. Moringen
- Target version changed from rsb-0.11 to rsb-0.12

#3 - 04/27/2015 11:12 AM - J. Wienke
- Target version changed from rsb-0.12 to rsb-0.13

#4 - 03/02/2016 09:43 AM - J. Moringen
- Target version changed from rsb-0.13 to rsb-0.14

#5 - 04/15/2016 11:31 AM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#6 - 07/08/2016 01:44 PM - J. Moringen
- Target version changed from rsb-0.15 to rsb-0.16

#7 - 04/10/2017 08:59 PM - J. Moringen
http://code.google.com/apis/protocolbuffers/docs/cpptutorial.html


- Target version changed from rsb-0.16 to rsb-0.17

#8 - 10/16/2017 09:23 PM - J. Moringen
- Target version changed from rsb-0.17 to rsb-0.18
